<meta http-equiv="Content-Type" content="text/html; charset=utf-8"/>
<link rel="stylesheet" href="style.css" type="text/css"/>
<script src="code.js" type="text/javascript"></script>

<h1>Virt-v2v pipelines: input</h1>

<pre>
                                 nbdkit
┌─────────────┐VDDK┌─────────────┐    ┌─────────────┐NBD ┌───────┐
│ VMware ESXi │───▶│ vddk plugin │───▶│ rate-filter │───▶│ qcow2 │...
└─────────────┘    └─────────────┘    └─────────────┘    └───────┘
</pre>

<pre>
                                 nbdkit
┌───────────┐    ┌───────────────┐    ┌─────────────┐NBD ┌───────┐
│ OVA file  │───▶│ tar-filter    │───▶│ rate-filter │───▶│ qcow2 │...
└───────────┘    └───────────────┘    └─────────────┘    └───────┘
</pre>

<pre>
                                 nbdkit
┌────────────┐ssh ┌──────────────┐    ┌─────────────┐NBD ┌───────┐
│ RHEL 5 Xen │───▶│ ssh plugin   │───▶│ rate-filter │───▶│ qcow2 │...
└────────────┘    └──────────────┘    └─────────────┘    └───────┘
</pre>

<pre>
                                       ┌────────────┐    ┌───────┐
                                       │ disk image │───▶│ qcow2 │...
                                       └────────────┘    └───────┘
</pre>
